# coding=utf-8
from otlmow_model.OtlmowModel.BaseClasses.KeuzelijstField import KeuzelijstField
from otlmow_model.OtlmowModel.BaseClasses.KeuzelijstWaarde import KeuzelijstWaarde


# Generated with OTLEnumerationCreator. To modify: extend, do not edit
class KlAlgGemeente(KeuzelijstField):
    """Lijst van gemeentes in Vlaanderen."""
    naam = 'KlAlgGemeente'
    label = 'Gemeente'
    objectUri = 'https://wegenenverkeer.data.vlaanderen.be/ns/implementatieelement#KlAlgGemeente'
    definition = 'Lijst van gemeentes in Vlaanderen.'
    status = 'ingebruik'
    codelist = 'https://wegenenverkeer.data.vlaanderen.be/id/conceptscheme/KlAlgGemeente'
    options = {
        'aalst': KeuzelijstWaarde(invulwaarde='aalst',
                                  label='Aalst',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/aalst'),
        'aalter': KeuzelijstWaarde(invulwaarde='aalter',
                                   label='Aalter',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/aalter'),
        'aarschot': KeuzelijstWaarde(invulwaarde='aarschot',
                                     label='Aarschot',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/aarschot'),
        'aartselaar': KeuzelijstWaarde(invulwaarde='aartselaar',
                                       label='Aartselaar',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/aartselaar'),
        'affligem': KeuzelijstWaarde(invulwaarde='affligem',
                                     label='Affligem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/affligem'),
        'alken': KeuzelijstWaarde(invulwaarde='alken',
                                  label='Alken',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/alken'),
        'alveringem': KeuzelijstWaarde(invulwaarde='alveringem',
                                       label='Alveringem',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/alveringem'),
        'anderlecht': KeuzelijstWaarde(invulwaarde='anderlecht',
                                       label='Anderlecht',
                                       status='ingebruik',
                                       definitie='anderlecht',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/anderlecht'),
        'antwerpen': KeuzelijstWaarde(invulwaarde='antwerpen',
                                      label='Antwerpen',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/antwerpen'),
        'anzegem': KeuzelijstWaarde(invulwaarde='anzegem',
                                    label='Anzegem',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/anzegem'),
        'ardooie': KeuzelijstWaarde(invulwaarde='ardooie',
                                    label='Ardooie',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ardooie'),
        'arendonk': KeuzelijstWaarde(invulwaarde='arendonk',
                                     label='Arendonk',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/arendonk'),
        'as': KeuzelijstWaarde(invulwaarde='as',
                               label='As',
                               status='ingebruik',
                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/as'),
        'asse': KeuzelijstWaarde(invulwaarde='asse',
                                 label='Asse',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/asse'),
        'assenede': KeuzelijstWaarde(invulwaarde='assenede',
                                     label='Assenede',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/assenede'),
        'avelgem': KeuzelijstWaarde(invulwaarde='avelgem',
                                    label='Avelgem',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/avelgem'),
        'baarle-Hertog': KeuzelijstWaarde(invulwaarde='baarle-Hertog',
                                          label='Baarle-Hertog',
                                          status='ingebruik',
                                          objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/baarle-Hertog'),
        'balen': KeuzelijstWaarde(invulwaarde='balen',
                                  label='Balen',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/balen'),
        'beernem': KeuzelijstWaarde(invulwaarde='beernem',
                                    label='Beernem',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/beernem'),
        'beerse': KeuzelijstWaarde(invulwaarde='beerse',
                                   label='Beerse',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/beerse'),
        'beersel': KeuzelijstWaarde(invulwaarde='beersel',
                                    label='Beersel',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/beersel'),
        'begijnendijk': KeuzelijstWaarde(invulwaarde='begijnendijk',
                                         label='Begijnendijk',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/begijnendijk'),
        'bekkevoort': KeuzelijstWaarde(invulwaarde='bekkevoort',
                                       label='Bekkevoort',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bekkevoort'),
        'beringen': KeuzelijstWaarde(invulwaarde='beringen',
                                     label='Beringen',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/beringen'),
        'berlaar': KeuzelijstWaarde(invulwaarde='berlaar',
                                    label='Berlaar',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/berlaar'),
        'berlare': KeuzelijstWaarde(invulwaarde='berlare',
                                    label='Berlare',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/berlare'),
        'bertem': KeuzelijstWaarde(invulwaarde='bertem',
                                   label='Bertem',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bertem'),
        'bever': KeuzelijstWaarde(invulwaarde='bever',
                                  label='Bever',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bever'),
        'beveren': KeuzelijstWaarde(invulwaarde='beveren',
                                    label='Beveren',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/beveren'),
        'bierbeek': KeuzelijstWaarde(invulwaarde='bierbeek',
                                     label='Bierbeek',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bierbeek'),
        'bilzen': KeuzelijstWaarde(invulwaarde='bilzen',
                                   label='Bilzen',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bilzen'),
        'blankenberge': KeuzelijstWaarde(invulwaarde='blankenberge',
                                         label='Blankenberge',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/blankenberge'),
        'bocholt': KeuzelijstWaarde(invulwaarde='bocholt',
                                    label='Bocholt',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bocholt'),
        'boechout': KeuzelijstWaarde(invulwaarde='boechout',
                                     label='Boechout',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/boechout'),
        'bonheiden': KeuzelijstWaarde(invulwaarde='bonheiden',
                                      label='Bonheiden',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bonheiden'),
        'boom': KeuzelijstWaarde(invulwaarde='boom',
                                 label='Boom',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/boom'),
        'boortmeerbeek': KeuzelijstWaarde(invulwaarde='boortmeerbeek',
                                          label='Boortmeerbeek',
                                          status='ingebruik',
                                          objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/boortmeerbeek'),
        'borgloon': KeuzelijstWaarde(invulwaarde='borgloon',
                                     label='Borgloon',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/borgloon'),
        'bornem': KeuzelijstWaarde(invulwaarde='bornem',
                                   label='Bornem',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bornem'),
        'borsbeek': KeuzelijstWaarde(invulwaarde='borsbeek',
                                     label='Borsbeek',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/borsbeek'),
        'boutersem': KeuzelijstWaarde(invulwaarde='boutersem',
                                      label='Boutersem',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/boutersem'),
        'brakel': KeuzelijstWaarde(invulwaarde='brakel',
                                   label='Brakel',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/brakel'),
        'brasschaat': KeuzelijstWaarde(invulwaarde='brasschaat',
                                       label='Brasschaat',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/brasschaat'),
        'brecht': KeuzelijstWaarde(invulwaarde='brecht',
                                   label='Brecht',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/brecht'),
        'bredene': KeuzelijstWaarde(invulwaarde='bredene',
                                    label='Bredene',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bredene'),
        'bree': KeuzelijstWaarde(invulwaarde='bree',
                                 label='Bree',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/bree'),
        'brugge': KeuzelijstWaarde(invulwaarde='brugge',
                                   label='Brugge',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/brugge'),
        'buggenhout': KeuzelijstWaarde(invulwaarde='buggenhout',
                                       label='Buggenhout',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/buggenhout'),
        'damme': KeuzelijstWaarde(invulwaarde='damme',
                                  label='Damme',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/damme'),
        'de-Haan': KeuzelijstWaarde(invulwaarde='de-Haan',
                                    label='De Haan',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/de-Haan'),
        'de-Panne': KeuzelijstWaarde(invulwaarde='de-Panne',
                                     label='De Panne',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/de-Panne'),
        'de-Pinte': KeuzelijstWaarde(invulwaarde='de-Pinte',
                                     label='De Pinte',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/de-Pinte'),
        'deerlijk': KeuzelijstWaarde(invulwaarde='deerlijk',
                                     label='Deerlijk',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/deerlijk'),
        'deinze': KeuzelijstWaarde(invulwaarde='deinze',
                                   label='Deinze',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/deinze'),
        'denderleeuw': KeuzelijstWaarde(invulwaarde='denderleeuw',
                                        label='Denderleeuw',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/denderleeuw'),
        'dendermonde': KeuzelijstWaarde(invulwaarde='dendermonde',
                                        label='Dendermonde',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/dendermonde'),
        'dentergem': KeuzelijstWaarde(invulwaarde='dentergem',
                                      label='Dentergem',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/dentergem'),
        'dessel': KeuzelijstWaarde(invulwaarde='dessel',
                                   label='Dessel',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/dessel'),
        'destelbergen': KeuzelijstWaarde(invulwaarde='destelbergen',
                                         label='Destelbergen',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/destelbergen'),
        'diepenbeek': KeuzelijstWaarde(invulwaarde='diepenbeek',
                                       label='Diepenbeek',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/diepenbeek'),
        'diest': KeuzelijstWaarde(invulwaarde='diest',
                                  label='Diest',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/diest'),
        'diksmuide': KeuzelijstWaarde(invulwaarde='diksmuide',
                                      label='Diksmuide',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/diksmuide'),
        'dilbeek': KeuzelijstWaarde(invulwaarde='dilbeek',
                                    label='Dilbeek',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/dilbeek'),
        'dilsen-Stokkem': KeuzelijstWaarde(invulwaarde='dilsen-Stokkem',
                                           label='Dilsen-Stokkem',
                                           status='ingebruik',
                                           objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/dilsen-Stokkem'),
        'drogenbos': KeuzelijstWaarde(invulwaarde='drogenbos',
                                      label='Drogenbos',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/drogenbos'),
        'duffel': KeuzelijstWaarde(invulwaarde='duffel',
                                   label='Duffel',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/duffel'),
        'edegem': KeuzelijstWaarde(invulwaarde='edegem',
                                   label='Edegem',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/edegem'),
        'eeklo': KeuzelijstWaarde(invulwaarde='eeklo',
                                  label='Eeklo',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/eeklo'),
        'elsene': KeuzelijstWaarde(invulwaarde='elsene',
                                   label='Elsene',
                                   status='ingebruik',
                                   definitie='elsene',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/elsene'),
        'erpe-Mere': KeuzelijstWaarde(invulwaarde='erpe-Mere',
                                      label='Erpe-Mere',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/erpe-Mere'),
        'essen': KeuzelijstWaarde(invulwaarde='essen',
                                  label='Essen',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/essen'),
        'etterbeek': KeuzelijstWaarde(invulwaarde='etterbeek',
                                      label='Etterbeek',
                                      status='ingebruik',
                                      definitie='etterbeek',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/etterbeek'),
        'evere': KeuzelijstWaarde(invulwaarde='evere',
                                  label='Evere',
                                  status='ingebruik',
                                  definitie='evere',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/evere'),
        'evergem': KeuzelijstWaarde(invulwaarde='evergem',
                                    label='Evergem',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/evergem'),
        'galmaarden': KeuzelijstWaarde(invulwaarde='galmaarden',
                                       label='Galmaarden',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/galmaarden'),
        'ganshoren': KeuzelijstWaarde(invulwaarde='ganshoren',
                                      label='Ganshoren',
                                      status='ingebruik',
                                      definitie='ganshoren',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ganshoren'),
        'gavere': KeuzelijstWaarde(invulwaarde='gavere',
                                   label='Gavere',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/gavere'),
        'geel': KeuzelijstWaarde(invulwaarde='geel',
                                 label='Geel',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/geel'),
        'geetbets': KeuzelijstWaarde(invulwaarde='geetbets',
                                     label='Geetbets',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/geetbets'),
        'genk': KeuzelijstWaarde(invulwaarde='genk',
                                 label='Genk',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/genk'),
        'gent': KeuzelijstWaarde(invulwaarde='gent',
                                 label='Gent',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/gent'),
        'geraardsbergen': KeuzelijstWaarde(invulwaarde='geraardsbergen',
                                           label='Geraardsbergen',
                                           status='ingebruik',
                                           objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/geraardsbergen'),
        'gingelom': KeuzelijstWaarde(invulwaarde='gingelom',
                                     label='Gingelom',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/gingelom'),
        'gistel': KeuzelijstWaarde(invulwaarde='gistel',
                                   label='Gistel',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/gistel'),
        'glabbeek': KeuzelijstWaarde(invulwaarde='glabbeek',
                                     label='Glabbeek',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/glabbeek'),
        'gooik': KeuzelijstWaarde(invulwaarde='gooik',
                                  label='Gooik',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/gooik'),
        'grimbergen': KeuzelijstWaarde(invulwaarde='grimbergen',
                                       label='Grimbergen',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/grimbergen'),
        'grobbendonk': KeuzelijstWaarde(invulwaarde='grobbendonk',
                                        label='Grobbendonk',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/grobbendonk'),
        'haacht': KeuzelijstWaarde(invulwaarde='haacht',
                                   label='Haacht',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/haacht'),
        'haaltert': KeuzelijstWaarde(invulwaarde='haaltert',
                                     label='Haaltert',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/haaltert'),
        'halen': KeuzelijstWaarde(invulwaarde='halen',
                                  label='Halen',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/halen'),
        'halle': KeuzelijstWaarde(invulwaarde='halle',
                                  label='Halle',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/halle'),
        'ham': KeuzelijstWaarde(invulwaarde='ham',
                                label='Ham',
                                status='ingebruik',
                                objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ham'),
        'hamme': KeuzelijstWaarde(invulwaarde='hamme',
                                  label='Hamme',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hamme'),
        'hamont-Achel': KeuzelijstWaarde(invulwaarde='hamont-Achel',
                                         label='Hamont-Achel',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hamont-Achel'),
        'harelbeke': KeuzelijstWaarde(invulwaarde='harelbeke',
                                      label='Harelbeke',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/harelbeke'),
        'hasselt': KeuzelijstWaarde(invulwaarde='hasselt',
                                    label='Hasselt',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hasselt'),
        'hechtel-Eksel': KeuzelijstWaarde(invulwaarde='hechtel-Eksel',
                                          label='Hechtel-Eksel',
                                          status='ingebruik',
                                          objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hechtel-Eksel'),
        'heers': KeuzelijstWaarde(invulwaarde='heers',
                                  label='Heers',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/heers'),
        'heist-op-den-Berg': KeuzelijstWaarde(invulwaarde='heist-op-den-Berg',
                                              label='Heist-op-den-Berg',
                                              status='ingebruik',
                                              objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/heist-op-den-Berg'),
        'hemiksem': KeuzelijstWaarde(invulwaarde='hemiksem',
                                     label='Hemiksem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hemiksem'),
        'herent': KeuzelijstWaarde(invulwaarde='herent',
                                   label='Herent',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herent'),
        'herentals': KeuzelijstWaarde(invulwaarde='herentals',
                                      label='Herentals',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herentals'),
        'herenthout': KeuzelijstWaarde(invulwaarde='herenthout',
                                       label='Herenthout',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herenthout'),
        'herk-de-Stad': KeuzelijstWaarde(invulwaarde='herk-de-Stad',
                                         label='Herk-de-Stad',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herk-de-Stad'),
        'herne': KeuzelijstWaarde(invulwaarde='herne',
                                  label='Herne',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herne'),
        'herselt': KeuzelijstWaarde(invulwaarde='herselt',
                                    label='Herselt',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herselt'),
        'herstappe': KeuzelijstWaarde(invulwaarde='herstappe',
                                      label='Herstappe',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herstappe'),
        'herzele': KeuzelijstWaarde(invulwaarde='herzele',
                                    label='Herzele',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/herzele'),
        'heusden-Zolder': KeuzelijstWaarde(invulwaarde='heusden-Zolder',
                                           label='Heusden-Zolder',
                                           status='ingebruik',
                                           objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/heusden-Zolder'),
        'heuvelland': KeuzelijstWaarde(invulwaarde='heuvelland',
                                       label='Heuvelland',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/heuvelland'),
        'hoegaarden': KeuzelijstWaarde(invulwaarde='hoegaarden',
                                       label='Hoegaarden',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hoegaarden'),
        'hoeilaart': KeuzelijstWaarde(invulwaarde='hoeilaart',
                                      label='Hoeilaart',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hoeilaart'),
        'hoeselt': KeuzelijstWaarde(invulwaarde='hoeselt',
                                    label='Hoeselt',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hoeselt'),
        'holsbeek': KeuzelijstWaarde(invulwaarde='holsbeek',
                                     label='Holsbeek',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/holsbeek'),
        'hooglede': KeuzelijstWaarde(invulwaarde='hooglede',
                                     label='Hooglede',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hooglede'),
        'hoogstraten': KeuzelijstWaarde(invulwaarde='hoogstraten',
                                        label='Hoogstraten',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hoogstraten'),
        'horebeke': KeuzelijstWaarde(invulwaarde='horebeke',
                                     label='Horebeke',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/horebeke'),
        'houthalen-Helchteren': KeuzelijstWaarde(invulwaarde='houthalen-Helchteren',
                                                 label='Houthalen-Helchteren',
                                                 status='ingebruik',
                                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/houthalen-Helchteren'),
        'houthulst': KeuzelijstWaarde(invulwaarde='houthulst',
                                      label='Houthulst',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/houthulst'),
        'hove': KeuzelijstWaarde(invulwaarde='hove',
                                 label='Hove',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hove'),
        'huldenberg': KeuzelijstWaarde(invulwaarde='huldenberg',
                                       label='Huldenberg',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/huldenberg'),
        'hulshout': KeuzelijstWaarde(invulwaarde='hulshout',
                                     label='Hulshout',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/hulshout'),
        'ichtegem': KeuzelijstWaarde(invulwaarde='ichtegem',
                                     label='Ichtegem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ichtegem'),
        'ieper': KeuzelijstWaarde(invulwaarde='ieper',
                                  label='Ieper',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ieper'),
        'ingelmunster': KeuzelijstWaarde(invulwaarde='ingelmunster',
                                         label='Ingelmunster',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ingelmunster'),
        'izegem': KeuzelijstWaarde(invulwaarde='izegem',
                                   label='Izegem',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/izegem'),
        'jabbeke': KeuzelijstWaarde(invulwaarde='jabbeke',
                                    label='Jabbeke',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/jabbeke'),
        'jette': KeuzelijstWaarde(invulwaarde='jette',
                                  label='Jette',
                                  status='ingebruik',
                                  definitie='jette',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/jette'),
        'kalmthout': KeuzelijstWaarde(invulwaarde='kalmthout',
                                      label='Kalmthout',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kalmthout'),
        'kampenhout': KeuzelijstWaarde(invulwaarde='kampenhout',
                                       label='Kampenhout',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kampenhout'),
        'kapelle-op-den-Bos': KeuzelijstWaarde(invulwaarde='kapelle-op-den-Bos',
                                               label='Kapelle-op-den-Bos',
                                               status='ingebruik',
                                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kapelle-op-den-Bos'),
        'kapellen': KeuzelijstWaarde(invulwaarde='kapellen',
                                     label='Kapellen',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kapellen'),
        'kaprijke': KeuzelijstWaarde(invulwaarde='kaprijke',
                                     label='Kaprijke',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kaprijke'),
        'kasterlee': KeuzelijstWaarde(invulwaarde='kasterlee',
                                      label='Kasterlee',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kasterlee'),
        'keerbergen': KeuzelijstWaarde(invulwaarde='keerbergen',
                                       label='Keerbergen',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/keerbergen'),
        'kinrooi': KeuzelijstWaarde(invulwaarde='kinrooi',
                                    label='Kinrooi',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kinrooi'),
        'kluisbergen': KeuzelijstWaarde(invulwaarde='kluisbergen',
                                        label='Kluisbergen',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kluisbergen'),
        'knesselare': KeuzelijstWaarde(invulwaarde='knesselare',
                                       label='Knesselare',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/knesselare'),
        'knokke-Heist': KeuzelijstWaarde(invulwaarde='knokke-Heist',
                                         label='Knokke-Heist',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/knokke-Heist'),
        'koekelare': KeuzelijstWaarde(invulwaarde='koekelare',
                                      label='Koekelare',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/koekelare'),
        'koekelberg': KeuzelijstWaarde(invulwaarde='koekelberg',
                                       label='Koekelberg',
                                       status='ingebruik',
                                       definitie='koekelberg',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/koekelberg'),
        'koksijde': KeuzelijstWaarde(invulwaarde='koksijde',
                                     label='Koksijde',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/koksijde'),
        'kontich': KeuzelijstWaarde(invulwaarde='kontich',
                                    label='Kontich',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kontich'),
        'kortemark': KeuzelijstWaarde(invulwaarde='kortemark',
                                      label='Kortemark',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kortemark'),
        'kortenaken': KeuzelijstWaarde(invulwaarde='kortenaken',
                                       label='Kortenaken',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kortenaken'),
        'kortenberg': KeuzelijstWaarde(invulwaarde='kortenberg',
                                       label='Kortenberg',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kortenberg'),
        'kortessem': KeuzelijstWaarde(invulwaarde='kortessem',
                                      label='Kortessem',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kortessem'),
        'kortrijk': KeuzelijstWaarde(invulwaarde='kortrijk',
                                     label='Kortrijk',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kortrijk'),
        'kraainem': KeuzelijstWaarde(invulwaarde='kraainem',
                                     label='Kraainem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kraainem'),
        'kruibeke': KeuzelijstWaarde(invulwaarde='kruibeke',
                                     label='Kruibeke',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kruibeke'),
        'kruisem': KeuzelijstWaarde(invulwaarde='kruisem',
                                    label='Kruisem',
                                    status='ingebruik',
                                    definitie='Kruisem',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kruisem'),
        'kruishoutem': KeuzelijstWaarde(invulwaarde='kruishoutem',
                                        label='Kruishoutem',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kruishoutem'),
        'kuurne': KeuzelijstWaarde(invulwaarde='kuurne',
                                   label='Kuurne',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/kuurne'),
        'laakdal': KeuzelijstWaarde(invulwaarde='laakdal',
                                    label='Laakdal',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/laakdal'),
        'laarne': KeuzelijstWaarde(invulwaarde='laarne',
                                   label='Laarne',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/laarne'),
        'lanaken': KeuzelijstWaarde(invulwaarde='lanaken',
                                    label='Lanaken',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lanaken'),
        'landen': KeuzelijstWaarde(invulwaarde='landen',
                                   label='Landen',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/landen'),
        'langemark-Poelkapelle': KeuzelijstWaarde(invulwaarde='langemark-Poelkapelle',
                                                  label='Langemark-Poelkapelle',
                                                  status='ingebruik',
                                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/langemark-Poelkapelle'),
        'lebbeke': KeuzelijstWaarde(invulwaarde='lebbeke',
                                    label='Lebbeke',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lebbeke'),
        'lede': KeuzelijstWaarde(invulwaarde='lede',
                                 label='Lede',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lede'),
        'ledegem': KeuzelijstWaarde(invulwaarde='ledegem',
                                    label='Ledegem',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ledegem'),
        'lendelede': KeuzelijstWaarde(invulwaarde='lendelede',
                                      label='Lendelede',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lendelede'),
        'lennik': KeuzelijstWaarde(invulwaarde='lennik',
                                   label='Lennik',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lennik'),
        'leopoldsburg': KeuzelijstWaarde(invulwaarde='leopoldsburg',
                                         label='Leopoldsburg',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/leopoldsburg'),
        'leuven': KeuzelijstWaarde(invulwaarde='leuven',
                                   label='Leuven',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/leuven'),
        'lichtervelde': KeuzelijstWaarde(invulwaarde='lichtervelde',
                                         label='Lichtervelde',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lichtervelde'),
        'liedekerke': KeuzelijstWaarde(invulwaarde='liedekerke',
                                       label='Liedekerke',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/liedekerke'),
        'lier': KeuzelijstWaarde(invulwaarde='lier',
                                 label='Lier',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lier'),
        'lierde': KeuzelijstWaarde(invulwaarde='lierde',
                                   label='Lierde',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lierde'),
        'lievegem': KeuzelijstWaarde(invulwaarde='lievegem',
                                     label='Lievegem',
                                     status='ingebruik',
                                     definitie='Lievegem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lievegem'),
        'lille': KeuzelijstWaarde(invulwaarde='lille',
                                  label='Lille',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lille'),
        'linkebeek': KeuzelijstWaarde(invulwaarde='linkebeek',
                                      label='Linkebeek',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/linkebeek'),
        'lint': KeuzelijstWaarde(invulwaarde='lint',
                                 label='Lint',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lint'),
        'linter': KeuzelijstWaarde(invulwaarde='linter',
                                   label='Linter',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/linter'),
        'lo-Reninge': KeuzelijstWaarde(invulwaarde='lo-Reninge',
                                       label='Lo-Reninge',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lo-Reninge'),
        'lochristi': KeuzelijstWaarde(invulwaarde='lochristi',
                                      label='Lochristi',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lochristi'),
        'lokeren': KeuzelijstWaarde(invulwaarde='lokeren',
                                    label='Lokeren',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lokeren'),
        'lommel': KeuzelijstWaarde(invulwaarde='lommel',
                                   label='Lommel',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lommel'),
        'londerzeel': KeuzelijstWaarde(invulwaarde='londerzeel',
                                       label='Londerzeel',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/londerzeel'),
        'lovendegem': KeuzelijstWaarde(invulwaarde='lovendegem',
                                       label='Lovendegem',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lovendegem'),
        'lubbeek': KeuzelijstWaarde(invulwaarde='lubbeek',
                                    label='Lubbeek',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lubbeek'),
        'lummen': KeuzelijstWaarde(invulwaarde='lummen',
                                   label='Lummen',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/lummen'),
        'maarkedal': KeuzelijstWaarde(invulwaarde='maarkedal',
                                      label='Maarkedal',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/maarkedal'),
        'maaseik': KeuzelijstWaarde(invulwaarde='maaseik',
                                    label='Maaseik',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/maaseik'),
        'maasmechelen': KeuzelijstWaarde(invulwaarde='maasmechelen',
                                         label='Maasmechelen',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/maasmechelen'),
        'machelen': KeuzelijstWaarde(invulwaarde='machelen',
                                     label='Machelen',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/machelen'),
        'maldegem': KeuzelijstWaarde(invulwaarde='maldegem',
                                     label='Maldegem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/maldegem'),
        'malle': KeuzelijstWaarde(invulwaarde='malle',
                                  label='Malle',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/malle'),
        'mechelen': KeuzelijstWaarde(invulwaarde='mechelen',
                                     label='Mechelen',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/mechelen'),
        'meerhout': KeuzelijstWaarde(invulwaarde='meerhout',
                                     label='Meerhout',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/meerhout'),
        'meeuwen-Gruitrode': KeuzelijstWaarde(invulwaarde='meeuwen-Gruitrode',
                                              label='Meeuwen-Gruitrode',
                                              status='ingebruik',
                                              objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/meeuwen-Gruitrode'),
        'meise': KeuzelijstWaarde(invulwaarde='meise',
                                  label='Meise',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/meise'),
        'melle': KeuzelijstWaarde(invulwaarde='melle',
                                  label='Melle',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/melle'),
        'menen': KeuzelijstWaarde(invulwaarde='menen',
                                  label='Menen',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/menen'),
        'merchtem': KeuzelijstWaarde(invulwaarde='merchtem',
                                     label='Merchtem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/merchtem'),
        'merelbeke': KeuzelijstWaarde(invulwaarde='merelbeke',
                                      label='Merelbeke',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/merelbeke'),
        'merksplas': KeuzelijstWaarde(invulwaarde='merksplas',
                                      label='Merksplas',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/merksplas'),
        'mesen': KeuzelijstWaarde(invulwaarde='mesen',
                                  label='Mesen',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/mesen'),
        'meulebeke': KeuzelijstWaarde(invulwaarde='meulebeke',
                                      label='Meulebeke',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/meulebeke'),
        'middelkerke': KeuzelijstWaarde(invulwaarde='middelkerke',
                                        label='Middelkerke',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/middelkerke'),
        'moerbeke': KeuzelijstWaarde(invulwaarde='moerbeke',
                                     label='Moerbeke',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/moerbeke'),
        'mol': KeuzelijstWaarde(invulwaarde='mol',
                                label='Mol',
                                status='ingebruik',
                                objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/mol'),
        'moorslede': KeuzelijstWaarde(invulwaarde='moorslede',
                                      label='Moorslede',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/moorslede'),
        'mortsel': KeuzelijstWaarde(invulwaarde='mortsel',
                                    label='Mortsel',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/mortsel'),
        'nazareth': KeuzelijstWaarde(invulwaarde='nazareth',
                                     label='Nazareth',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/nazareth'),
        'neerpelt': KeuzelijstWaarde(invulwaarde='neerpelt',
                                     label='Neerpelt',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/neerpelt'),
        'nevele': KeuzelijstWaarde(invulwaarde='nevele',
                                   label='Nevele',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/nevele'),
        'niel': KeuzelijstWaarde(invulwaarde='niel',
                                 label='Niel',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/niel'),
        'nieuwerkerken': KeuzelijstWaarde(invulwaarde='nieuwerkerken',
                                          label='Nieuwerkerken',
                                          status='ingebruik',
                                          objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/nieuwerkerken'),
        'nieuwpoort': KeuzelijstWaarde(invulwaarde='nieuwpoort',
                                       label='Nieuwpoort',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/nieuwpoort'),
        'nijlen': KeuzelijstWaarde(invulwaarde='nijlen',
                                   label='Nijlen',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/nijlen'),
        'ninove': KeuzelijstWaarde(invulwaarde='ninove',
                                   label='Ninove',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ninove'),
        'olen': KeuzelijstWaarde(invulwaarde='olen',
                                 label='Olen',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/olen'),
        'oostende': KeuzelijstWaarde(invulwaarde='oostende',
                                     label='Oostende',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oostende'),
        'oosterzele': KeuzelijstWaarde(invulwaarde='oosterzele',
                                       label='Oosterzele',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oosterzele'),
        'oostkamp': KeuzelijstWaarde(invulwaarde='oostkamp',
                                     label='Oostkamp',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oostkamp'),
        'oostrozebeke': KeuzelijstWaarde(invulwaarde='oostrozebeke',
                                         label='Oostrozebeke',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oostrozebeke'),
        'opglabbeek': KeuzelijstWaarde(invulwaarde='opglabbeek',
                                       label='Opglabbeek',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/opglabbeek'),
        'opwijk': KeuzelijstWaarde(invulwaarde='opwijk',
                                   label='Opwijk',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/opwijk'),
        'oud-Heverlee': KeuzelijstWaarde(invulwaarde='oud-Heverlee',
                                         label='Oud-Heverlee',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oud-Heverlee'),
        'oud-Turnhout': KeuzelijstWaarde(invulwaarde='oud-Turnhout',
                                         label='Oud-Turnhout',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oud-Turnhout'),
        'oudenaarde': KeuzelijstWaarde(invulwaarde='oudenaarde',
                                       label='Oudenaarde',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oudenaarde'),
        'oudenburg': KeuzelijstWaarde(invulwaarde='oudenburg',
                                      label='Oudenburg',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oudenburg'),
        'oudergem': KeuzelijstWaarde(invulwaarde='oudergem',
                                     label='Oudergem',
                                     status='ingebruik',
                                     definitie='oudergem',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oudergem'),
        'oudsbergen': KeuzelijstWaarde(invulwaarde='oudsbergen',
                                       label='Oudsbergen',
                                       status='ingebruik',
                                       definitie='Oudsbergen',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/oudsbergen'),
        'overijse': KeuzelijstWaarde(invulwaarde='overijse',
                                     label='Overijse',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/overijse'),
        'overpelt': KeuzelijstWaarde(invulwaarde='overpelt',
                                     label='Overpelt',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/overpelt'),
        'peer': KeuzelijstWaarde(invulwaarde='peer',
                                 label='Peer',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/peer'),
        'pelt': KeuzelijstWaarde(invulwaarde='pelt',
                                 label='Pelt',
                                 status='ingebruik',
                                 definitie='Pelt',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/pelt'),
        'pepingen': KeuzelijstWaarde(invulwaarde='pepingen',
                                     label='Pepingen',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/pepingen'),
        'pittem': KeuzelijstWaarde(invulwaarde='pittem',
                                   label='Pittem',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/pittem'),
        'poperinge': KeuzelijstWaarde(invulwaarde='poperinge',
                                      label='Poperinge',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/poperinge'),
        'putte': KeuzelijstWaarde(invulwaarde='putte',
                                  label='Putte',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/putte'),
        'puurs': KeuzelijstWaarde(invulwaarde='puurs',
                                  label='Puurs',
                                  status='uitgebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/puurs'),
        'puurs-sint-amands': KeuzelijstWaarde(invulwaarde='puurs-sint-amands',
                                              label='Puurs-Sint-Amands',
                                              status='ingebruik',
                                              definitie='Puurs-Sint-Amands',
                                              objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/puurs-sint-amands'),
        'ranst': KeuzelijstWaarde(invulwaarde='ranst',
                                  label='Ranst',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ranst'),
        'ravels': KeuzelijstWaarde(invulwaarde='ravels',
                                   label='Ravels',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ravels'),
        'retie': KeuzelijstWaarde(invulwaarde='retie',
                                  label='Retie',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/retie'),
        'riemst': KeuzelijstWaarde(invulwaarde='riemst',
                                   label='Riemst',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/riemst'),
        'rijkevorsel': KeuzelijstWaarde(invulwaarde='rijkevorsel',
                                        label='Rijkevorsel',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/rijkevorsel'),
        'roeselare': KeuzelijstWaarde(invulwaarde='roeselare',
                                      label='Roeselare',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/roeselare'),
        'ronse': KeuzelijstWaarde(invulwaarde='ronse',
                                  label='Ronse',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ronse'),
        'roosdaal': KeuzelijstWaarde(invulwaarde='roosdaal',
                                     label='Roosdaal',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/roosdaal'),
        'rotselaar': KeuzelijstWaarde(invulwaarde='rotselaar',
                                      label='Rotselaar',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/rotselaar'),
        'ruiselede': KeuzelijstWaarde(invulwaarde='ruiselede',
                                      label='Ruiselede',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ruiselede'),
        'rumst': KeuzelijstWaarde(invulwaarde='rumst',
                                  label='Rumst',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/rumst'),
        'schaarbeek': KeuzelijstWaarde(invulwaarde='schaarbeek',
                                       label='Schaarbeek',
                                       status='ingebruik',
                                       definitie='schaarbeek',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/schaarbeek'),
        'schelle': KeuzelijstWaarde(invulwaarde='schelle',
                                    label='Schelle',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/schelle'),
        'scherpenheuvel-Zichem': KeuzelijstWaarde(invulwaarde='scherpenheuvel-Zichem',
                                                  label='Scherpenheuvel-Zichem',
                                                  status='ingebruik',
                                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/scherpenheuvel-Zichem'),
        'schilde': KeuzelijstWaarde(invulwaarde='schilde',
                                    label='Schilde',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/schilde'),
        'schoten': KeuzelijstWaarde(invulwaarde='schoten',
                                    label='Schoten',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/schoten'),
        'sint-Amands': KeuzelijstWaarde(invulwaarde='sint-Amands',
                                        label='Sint-Amands',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Amands'),
        'sint-Genesius-Rode': KeuzelijstWaarde(invulwaarde='sint-Genesius-Rode',
                                               label='Sint-Genesius-Rode',
                                               status='ingebruik',
                                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Genesius-Rode'),
        'sint-Gillis-Waas': KeuzelijstWaarde(invulwaarde='sint-Gillis-Waas',
                                             label='Sint-Gillis-Waas',
                                             status='ingebruik',
                                             objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Gillis-Waas'),
        'sint-Katelijne-Waver': KeuzelijstWaarde(invulwaarde='sint-Katelijne-Waver',
                                                 label='Sint-Katelijne-Waver',
                                                 status='ingebruik',
                                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Katelijne-Waver'),
        'sint-Laureins': KeuzelijstWaarde(invulwaarde='sint-Laureins',
                                          label='Sint-Laureins',
                                          status='ingebruik',
                                          objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Laureins'),
        'sint-Lievens-Houtem': KeuzelijstWaarde(invulwaarde='sint-Lievens-Houtem',
                                                label='Sint-Lievens-Houtem',
                                                status='ingebruik',
                                                objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Lievens-Houtem'),
        'sint-Martens-Latem': KeuzelijstWaarde(invulwaarde='sint-Martens-Latem',
                                               label='Sint-Martens-Latem',
                                               status='ingebruik',
                                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Martens-Latem'),
        'sint-Niklaas': KeuzelijstWaarde(invulwaarde='sint-Niklaas',
                                         label='Sint-Niklaas',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Niklaas'),
        'sint-Pieters-Leeuw': KeuzelijstWaarde(invulwaarde='sint-Pieters-Leeuw',
                                               label='Sint-Pieters-Leeuw',
                                               status='ingebruik',
                                               objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Pieters-Leeuw'),
        'sint-Truiden': KeuzelijstWaarde(invulwaarde='sint-Truiden',
                                         label='Sint-Truiden',
                                         status='ingebruik',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-Truiden'),
        'sint-agatha-berchem': KeuzelijstWaarde(invulwaarde='sint-agatha-berchem',
                                                label='Sint-Agatha-Berchem',
                                                status='ingebruik',
                                                definitie='sint-agatha-berchem',
                                                objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-agatha-berchem'),
        'sint-gillis': KeuzelijstWaarde(invulwaarde='sint-gillis',
                                        label='Sint-Gillis',
                                        status='ingebruik',
                                        definitie='sint-gillis',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-gillis'),
        'sint-jans-molenbeek': KeuzelijstWaarde(invulwaarde='sint-jans-molenbeek',
                                                label='Sint-Jans-Molenbeek',
                                                status='ingebruik',
                                                definitie='sint-jans-molenbeek',
                                                objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-jans-molenbeek'),
        'sint-joost-ten-node': KeuzelijstWaarde(invulwaarde='sint-joost-ten-node',
                                                label='Sint-Joost-ten-Node',
                                                status='ingebruik',
                                                definitie='sint-joost-ten-node',
                                                objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-joost-ten-node'),
        'sint-lambrechts-woluwe': KeuzelijstWaarde(invulwaarde='sint-lambrechts-woluwe',
                                                   label='Sint-Lambrechts-Woluwe',
                                                   status='ingebruik',
                                                   definitie='sint-lambrechts-woluwe',
                                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-lambrechts-woluwe'),
        'sint-pieters-woluwe': KeuzelijstWaarde(invulwaarde='sint-pieters-woluwe',
                                                label='Sint-Pieters-Woluwe',
                                                status='ingebruik',
                                                definitie='sint-pieters-woluwe',
                                                objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/sint-pieters-woluwe'),
        'spiere-Helkijn': KeuzelijstWaarde(invulwaarde='spiere-Helkijn',
                                           label='Spiere-Helkijn',
                                           status='ingebruik',
                                           objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/spiere-Helkijn'),
        'stabroek': KeuzelijstWaarde(invulwaarde='stabroek',
                                     label='Stabroek',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/stabroek'),
        'stad-brussel': KeuzelijstWaarde(invulwaarde='stad-brussel',
                                         label='Stad Brussel',
                                         status='ingebruik',
                                         definitie='stad brussel',
                                         objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/stad-brussel'),
        'staden': KeuzelijstWaarde(invulwaarde='staden',
                                   label='Staden',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/staden'),
        'steenokkerzeel': KeuzelijstWaarde(invulwaarde='steenokkerzeel',
                                           label='Steenokkerzeel',
                                           status='ingebruik',
                                           objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/steenokkerzeel'),
        'stekene': KeuzelijstWaarde(invulwaarde='stekene',
                                    label='Stekene',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/stekene'),
        'temse': KeuzelijstWaarde(invulwaarde='temse',
                                  label='Temse',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/temse'),
        'ternat': KeuzelijstWaarde(invulwaarde='ternat',
                                   label='Ternat',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ternat'),
        'tervuren': KeuzelijstWaarde(invulwaarde='tervuren',
                                     label='Tervuren',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tervuren'),
        'tessenderlo': KeuzelijstWaarde(invulwaarde='tessenderlo',
                                        label='Tessenderlo',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tessenderlo'),
        'tielt': KeuzelijstWaarde(invulwaarde='tielt',
                                  label='Tielt',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tielt'),
        'tielt-Winge': KeuzelijstWaarde(invulwaarde='tielt-Winge',
                                        label='Tielt-Winge',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tielt-Winge'),
        'tienen': KeuzelijstWaarde(invulwaarde='tienen',
                                   label='Tienen',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tienen'),
        'tongeren': KeuzelijstWaarde(invulwaarde='tongeren',
                                     label='Tongeren',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tongeren'),
        'torhout': KeuzelijstWaarde(invulwaarde='torhout',
                                    label='Torhout',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/torhout'),
        'tremelo': KeuzelijstWaarde(invulwaarde='tremelo',
                                    label='Tremelo',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/tremelo'),
        'turnhout': KeuzelijstWaarde(invulwaarde='turnhout',
                                     label='Turnhout',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/turnhout'),
        'ukkel': KeuzelijstWaarde(invulwaarde='ukkel',
                                  label='Ukkel',
                                  status='ingebruik',
                                  definitie='ukkel',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/ukkel'),
        'veurne': KeuzelijstWaarde(invulwaarde='veurne',
                                   label='Veurne',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/veurne'),
        'vilvoorde': KeuzelijstWaarde(invulwaarde='vilvoorde',
                                      label='Vilvoorde',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/vilvoorde'),
        'vleteren': KeuzelijstWaarde(invulwaarde='vleteren',
                                     label='Vleteren',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/vleteren'),
        'voeren': KeuzelijstWaarde(invulwaarde='voeren',
                                   label='Voeren',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/voeren'),
        'vorselaar': KeuzelijstWaarde(invulwaarde='vorselaar',
                                      label='Vorselaar',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/vorselaar'),
        'vorst': KeuzelijstWaarde(invulwaarde='vorst',
                                  label='Vorst',
                                  status='ingebruik',
                                  definitie='vorst',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/vorst'),
        'vosselaar': KeuzelijstWaarde(invulwaarde='vosselaar',
                                      label='Vosselaar',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/vosselaar'),
        'waarschoot': KeuzelijstWaarde(invulwaarde='waarschoot',
                                       label='Waarschoot',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/waarschoot'),
        'waasmunster': KeuzelijstWaarde(invulwaarde='waasmunster',
                                        label='Waasmunster',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/waasmunster'),
        'wachtebeke': KeuzelijstWaarde(invulwaarde='wachtebeke',
                                       label='Wachtebeke',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wachtebeke'),
        'waregem': KeuzelijstWaarde(invulwaarde='waregem',
                                    label='Waregem',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/waregem'),
        'watermaal-bosvoorde': KeuzelijstWaarde(invulwaarde='watermaal-bosvoorde',
                                                label='Watermaal-Bosvoorde',
                                                status='ingebruik',
                                                definitie='watermaal-bosvoorde',
                                                objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/watermaal-bosvoorde'),
        'wellen': KeuzelijstWaarde(invulwaarde='wellen',
                                   label='Wellen',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wellen'),
        'wemmel': KeuzelijstWaarde(invulwaarde='wemmel',
                                   label='Wemmel',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wemmel'),
        'wervik': KeuzelijstWaarde(invulwaarde='wervik',
                                   label='Wervik',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wervik'),
        'westerlo': KeuzelijstWaarde(invulwaarde='westerlo',
                                     label='Westerlo',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/westerlo'),
        'wetteren': KeuzelijstWaarde(invulwaarde='wetteren',
                                     label='Wetteren',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wetteren'),
        'wevelgem': KeuzelijstWaarde(invulwaarde='wevelgem',
                                     label='Wevelgem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wevelgem'),
        'wezembeek-Oppem': KeuzelijstWaarde(invulwaarde='wezembeek-Oppem',
                                            label='Wezembeek-Oppem',
                                            status='ingebruik',
                                            objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wezembeek-Oppem'),
        'wichelen': KeuzelijstWaarde(invulwaarde='wichelen',
                                     label='Wichelen',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wichelen'),
        'wielsbeke': KeuzelijstWaarde(invulwaarde='wielsbeke',
                                      label='Wielsbeke',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wielsbeke'),
        'wijnegem': KeuzelijstWaarde(invulwaarde='wijnegem',
                                     label='Wijnegem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wijnegem'),
        'willebroek': KeuzelijstWaarde(invulwaarde='willebroek',
                                       label='Willebroek',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/willebroek'),
        'wingene': KeuzelijstWaarde(invulwaarde='wingene',
                                    label='Wingene',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wingene'),
        'wommelgem': KeuzelijstWaarde(invulwaarde='wommelgem',
                                      label='Wommelgem',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wommelgem'),
        'wortegem-Petegem': KeuzelijstWaarde(invulwaarde='wortegem-Petegem',
                                             label='Wortegem-Petegem',
                                             status='ingebruik',
                                             objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wortegem-Petegem'),
        'wuustwezel': KeuzelijstWaarde(invulwaarde='wuustwezel',
                                       label='Wuustwezel',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/wuustwezel'),
        'zandhoven': KeuzelijstWaarde(invulwaarde='zandhoven',
                                      label='Zandhoven',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zandhoven'),
        'zaventem': KeuzelijstWaarde(invulwaarde='zaventem',
                                     label='Zaventem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zaventem'),
        'zedelgem': KeuzelijstWaarde(invulwaarde='zedelgem',
                                     label='Zedelgem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zedelgem'),
        'zele': KeuzelijstWaarde(invulwaarde='zele',
                                 label='Zele',
                                 status='ingebruik',
                                 objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zele'),
        'zelzate': KeuzelijstWaarde(invulwaarde='zelzate',
                                    label='Zelzate',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zelzate'),
        'zemst': KeuzelijstWaarde(invulwaarde='zemst',
                                  label='Zemst',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zemst'),
        'zingem': KeuzelijstWaarde(invulwaarde='zingem',
                                   label='Zingem',
                                   status='ingebruik',
                                   objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zingem'),
        'zoersel': KeuzelijstWaarde(invulwaarde='zoersel',
                                    label='Zoersel',
                                    status='ingebruik',
                                    objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zoersel'),
        'zomergem': KeuzelijstWaarde(invulwaarde='zomergem',
                                     label='Zomergem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zomergem'),
        'zonhoven': KeuzelijstWaarde(invulwaarde='zonhoven',
                                     label='Zonhoven',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zonhoven'),
        'zonnebeke': KeuzelijstWaarde(invulwaarde='zonnebeke',
                                      label='Zonnebeke',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zonnebeke'),
        'zottegem': KeuzelijstWaarde(invulwaarde='zottegem',
                                     label='Zottegem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zottegem'),
        'zoutleeuw': KeuzelijstWaarde(invulwaarde='zoutleeuw',
                                      label='Zoutleeuw',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zoutleeuw'),
        'zuienkerke': KeuzelijstWaarde(invulwaarde='zuienkerke',
                                       label='Zuienkerke',
                                       status='ingebruik',
                                       objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zuienkerke'),
        'zulte': KeuzelijstWaarde(invulwaarde='zulte',
                                  label='Zulte',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zulte'),
        'zutendaal': KeuzelijstWaarde(invulwaarde='zutendaal',
                                      label='Zutendaal',
                                      status='ingebruik',
                                      objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zutendaal'),
        'zwalm': KeuzelijstWaarde(invulwaarde='zwalm',
                                  label='Zwalm',
                                  status='ingebruik',
                                  objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zwalm'),
        'zwevegem': KeuzelijstWaarde(invulwaarde='zwevegem',
                                     label='Zwevegem',
                                     status='ingebruik',
                                     objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zwevegem'),
        'zwijndrecht': KeuzelijstWaarde(invulwaarde='zwijndrecht',
                                        label='Zwijndrecht',
                                        status='ingebruik',
                                        objectUri='https://wegenenverkeer.data.vlaanderen.be/id/concept/KlAlgGemeente/zwijndrecht')
    }

    @classmethod
    def create_dummy_data(cls):
        return cls.create_dummy_data_keuzelijst(cls.options)

